#include<iostream>
#define ll long long

using namespace std;

void FICA()
{
    ios_base::sync_with_stdio(false);
    cin.tie(NULL);
    cout.tie(NULL);

 int n,k,maxmoc;

 cin>>n>>k;

 int niz[n];
 int pocetak = 0,kraj = n-1;

 for(int i=0;i<n;++i)
    cin>>niz[i];

 k--;

 while(k--){

    if(niz[pocetak] >= niz[kraj]){
        niz[pocetak] -= niz[kraj];
        kraj--;
        maxmoc = niz[pocetak];
    }else{
        niz[kraj] -= niz[pocetak];
        pocetak++;
        maxmoc = niz[kraj];
    }

 }

 cout<<maxmoc<<endl;

}

int main(void)
{
    FICA();
    return 0;
}